      include 'subhmain.f'

      PROGRAM housmain

      implicit none
      integer n,pyt
   10 write(*,*)'PROGRAM HOUSMAIN'
      write(*,*)'PODAJ WYMIAR n'
      read (*,*) n

      call subhmain(n)

      write(*,*)'GOTOWE'
      write(*,*)' 0 - KONIEC'
      write(*,*)' 1 - OD POCZATKU'
      read (*,*) pyt
      if(pyt.eq.0)goto 100
      goto 10
  100 stop 100
      end

